Subject: Re: bug#9864: 24.0.90; dired/copying+dwim-target : misplaced directory

From: "Andreas Politz, INF|INF-I" <[email-masked]>
Date: Tue, 25 Oct 2011 15:22:30 +0200

On Tue, 25 Oct 2011 08:47:27 -0400, Stefan Monnier wrote
> > It's unclear what do you expect.
> 

I expect it to work like 'cp -r', Stefans first outcome.  This is also how it
is (more or less) advertised in the info-manual (info "(emacs) Operating on
Files") .

> The current behavior is wrong.  I see 3 valid outcomes:
> 
>     /tmp/dest
>     /tmp/dest/a
>     /tmp/dest/a/foo
> or
>     /tmp/dest
>     /tmp/dest/a
>     /tmp/dest/foo
> or
>     an error message or a prompt about the overwrite.
> 

Andreas